%define name            gnujaxp
%define version         1.0
%define beta            beta1
%define release         0.%{beta}.5jpp
%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section         free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Java XML parser
License:        GPL with library exception
Source0:        ftp://ftp.gnu.org/pub/gnu/classpathx/gnujaxp-1.0beta1.zip
Source1:        %{name}.%{name}.script
Patch0:         %{name}.build.patch
URL:            http://www.gnu.org/software/classpathx/jaxp/
Vendor:         JPackage Project
Distribution:   JPackage
Group:          Text Processing/Markup/XML
Requires:       xml-commons-apis, /usr/sbin/update-alternatives
BuildRequires:  xml-commons-apis
Provides:       jaxp_parser_impl
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GNU JAXP, a part of the GNU Classpath Extensions project (hosted at
savannah.gnu.org) is a free implementation of the standard XML processing
APIs for Java:
- SAX Parser API
- DOM Level 2 generic XML data structures
- Sun's JAXP v1.1 interfaces

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}%{beta}
%patch0 -p1
# remove all binary libs and other non-needed stuff.
find . -name "*.jar" -exec rm -f {} \;
rm -rf apidoc source/javax source/org/w3c

%build
./configure
CLASSPATH=%{javadir}/xml-commons-apis.jar make all

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 %{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# script
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr apidoc/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %{javadir}/jaxp_parser_impl.jar jaxp_parser_impl %{javadir}/%{name}-%{version}.jar 15

%postun
update-alternatives --remove jaxp_parser_impl %{javadir}/%{name}-%{version}.jar

%files
%defattr(-,root,root,-)
%doc COPYING COPYRIGHT.html LICENSE README
%{javadir}/*.jar
%{_bindir}/*

%files javadoc
%defattr(-,root,root,-)
%{javadocdir}/%{name}-%{version}

%changelog
* Thu Aug 22 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.beta1.5jpp
- corrected case for Group tag

* Wed Aug 21 2002 Ville Skytt <ville.skytta at iki.fi> 1.0-0.beta1.4jpp
- Add shell script.

* Wed Aug 21 2002 Ville Skytt <ville.skytta at iki.fi> 1.0-0.beta1.3jpp
- Leave distributed SAX API in jar and javadocs because xml-commons ships
  older version than needed.
- BuildRequires xml-commons-apis.

* Mon Jul  1 2002 Ville Skytt <ville.skytta at iki.fi> 1.0-0.beta1.2jpp
- Updated Group tag.
- Provides jaxp_parser_impl.
- Requires xml-commons-apis.
- Lowered priority to 15.
- Use sed instead of bash 2 extension when symlinking jars.
- Added patch for not building apis.

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.beta1.1jpp
- contributed by Ville Skytt <ville.skytta at iki.fi>
